// --- CMAKE generated variables for your plugin

#include "pluginstructures.h"

#ifndef _plugindescription_h
#define _plugindescription_h

#define QUOTE(name) #name
#define STR(macro) QUOTE(macro)
#define AU_COCOA_VIEWFACTORY_STRING STR(AU_COCOA_VIEWFACTORY_NAME)
#define AU_COCOA_VIEW_STRING STR(AU_COCOA_VIEW_NAME)

// --- AU Plugin Cocoa View Names (flat namespace) 
#define AU_COCOA_VIEWFACTORY_NAME AUCocoaViewFactory_D1072B9D42344247B59E1FB080FD2AC5
#define AU_COCOA_VIEW_NAME AUCocoaView_D1072B9D42344247B59E1FB080FD2AC5

// --- BUNDLE IDs (MacOS Only) 
const char* kAAXBundleID = "aspikuser.aax.XYPadsMeters.bundleID";
const char* kAUBundleID = "aspikuser.au.XYPadsMeters.bundleID";
const char* kVST3BundleID = "aspikuser.vst3.XYPadsMeters.bundleID";

// --- Plugin Names 
const char* kPluginName = "XYPadsMeters";
const char* kShortPluginName = "XYPadsMeters";
const char* kAUBundleName = "XYPadsMeters";

// --- Plugin Type 
const pluginType kPluginType = pluginType::kFXPlugin;

// --- VST3 UUID 
const char* kVSTFUID = "{D1072B9D-4234-4247-B59E-1FB080FD2AC5}";

// --- 4-char codes 
const int32_t kFourCharCode = 'XYPP';
const int32_t kAAXProductID = 'WILL';
const int32_t kManufacturerID = 'VNDR';

// --- Vendor information 
const char* kVendorName = "ASPiK User";
const char* kVendorURL = "www.yourcompany.com";
const char* kVendorEmail = "help@yourcompany.com";

// --- Plugin Options 
const bool kWantSidechain = false;
const uint32_t kLatencyInSamples = 0;
const double kTailTimeMsec = 0.000;
const bool kVSTInfiniteTail = false;
const bool kVSTSAA = false;
const uint32_t kVST3SAAGranularity = 1;
const uint32_t kAAXCategory = 0;

#endif

